Buddy CDN Invalidate
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Buddy CDN Invalidate action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
action_idrequiredinteger
The ID of the actionExample: 456
BODY PARAMETERS
typerequiredstring
The type of the actionValue: BUDDY_CDN
namerequiredstring
The name of the actiondistributionrequiredstring
The identifier of the Buddy CDN distributionafter_action_idinteger
The numerical ID of the action, after which this action should be addedtrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpurge_allboolean
If set to true, all cached content will be purgedpurge_by_change_set_limitinteger
The maximum number of files in the changeset to trigger purgelocal_pathstring
The path to the local files to invalidatedeployment_excludesstring[]
The list of files or directories to exclude from cache invalidationdeployment_includesstring[]
The list of files or directories to include in cache invalidationpathsstring[]
The list of paths to invalidateinput_typestring enum
The type of source input for invalidation (SCM or BUILD_ARTIFACTS)Allowed enum:
SCM_REPOSITORY,BUILD_ARTIFACTSroutestring
The source of the Buddy CDN route within the distributionResponse
RESPONSE BODY
typestring
The type of the actionValue: BUDDY_CDN
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a looppurge_allboolean
If set to true, all cached content will be purgedpurge_by_change_set_limitinteger
The maximum number of files in the changeset to trigger purgelocal_pathstring
The path to the local files to invalidatedeployment_excludesstring[]
The list of files or directories to exclude from cache invalidationdeployment_includesstring[]
The list of files or directories to include in cache invalidationpathsstring[]
The list of paths to invalidateinput_typestring enum
The type of source input for invalidation (SCM or BUILD_ARTIFACTS)Allowed enum:
SCM_REPOSITORY,BUILD_ARTIFACTSdistributionstring
The identifier of the Buddy CDN distributionroutestring
The source of the Buddy CDN route within the distributionLast modified on Jul 6, 2026
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Buddy CDN Invalidate",
"type": "BUDDY_CDN",
"trigger_time": "ON_EVERY_EXECUTION",
"distribution": "my-distribution",
"route": "example.com",
"paths": [
"/static/*"
]
}'STATUS200 OK